Subject: Re: [PATCH] xfrm: do not check x->km.state

From: Steffen Klassert <[email-masked]>
Date: Fri, 14 Dec 2012 12:45:45 +0100

On Fri, Dec 14, 2012 at 03:02:32PM +0800, RongQing Li wrote:
> 
> since xfrm_output_one() calls xfrm_state_check_expire() too, but without
> checking (x->km.state != XFRM_STATE_VALID), I think we can not directly
> remove the check of km.state from xfrm_state_check_expire(). I have two
> option, which one do you think it is better?
> 
> 1. remove this check in xfrm_state_check_expire, and add a check in
> xfrm_output_one
> 

I think the first option ist the better one. It removes a superfluous
check and we get some more statistics.